.mappings-view {
    gap: 24px;
    height: 100%;
    width: 100%;
    box-sizing: border-box;
    padding: 24px 24px 24px 48px;
    overflow: scroll;
}

.mappings-view > .m-table {
    width: 100%;
    box-sizing: border-box;
    border: 2px solid var(--main-soft);
    border-radius: 6px;
}

.m-table > .line.first {
    flex-direction: row!important;
    justify-content: flex-start;
    max-height: 48px!important;
    background-color: var(--main)!important;
    cursor: default;
}

.m-table .heading {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    height: 48px;
    box-sizing: border-box;
    border: none;
    background-color: var(--main);
    color: var(--text-color-inactive);
    font-family: Inter;
    font-size: 12px;
    font-weight: 500;
}

.m-table .heading::placeholder {
    color: var(--text-color-inactive);
    opacity: 1;
}

.m-table .heading::-moz-placeholder {
    color: var(--text-color-inactive);
    opacity: 1;
}

.m-table .heading:-moz-placeholder {
    color: var(--text-color-inactive);
    opacity: 1;
}

.m-table .heading::-webkit-input-placeholder{
    color: var(--text-color-inactive);
    opacity: 1;
}

.m-table .heading:placeholder-shown {
    color: var(--text-color-inactive);
    opacity: 1;
}

.mappings-view .line {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    height: 60px;
    width: 100%;
    box-sizing: border-box;
    padding: 0 1rem;
    border-bottom: 2px solid var(--main-soft);
    overflow: hidden;
    transition: 0.6s;
    cursor: pointer;
}

.mappings-view  .line label {
    display: none;
}

.mappings-view  .line.filter-out {
    width: 0px;
    max-height: 0px;
    padding: 0;
}

.mappings-view  .line:hover {
    box-shadow: rgba(163, 225, 220, 0.7) 0px 0px 6px;
}

.mappings-view  .line.active {
    height: auto;
    box-shadow: rgba(163, 225, 220, 0.7) 0px 0px 6px;
    cursor: default;
}

.mappings-view  .line .top-row {
    margin-top: 0;
}

.mappings-view  .line.active .top-row {
    margin-top: 20px;
}

.mappings-view  .line label.id {
    max-width: fit-content;
    box-sizing: border-box;
    padding: 4px 6px;
    border: 1px solid var(--theme-soft);
    border-radius: 4px;
    background-color: transparent;
    color: var(--theme-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    cursor: pointer;
}

.mappings-view  .line.active label.id {
    display: block;
    cursor: default;
}

.mappings-view  .line .card-content {
    height: calc(100% - 29px);
    background-color: transparent;
    overflow: hidden;
}

.mappings-view  .line .content {
    width: 100%;
}

.mappings-view  .line .md-preview {
    width: 0%;
    padding: 0;
    overflow: hidden;
}

.mappings-view  .line.active .md-preview {
    width: 60%;
}

.mappings-view  .line .action {
    position: relative;
    display: none;
    height: 24px;
    width: 24px;
    box-sizing: border-box;
    border-radius: 12px;
    color: var(--text-color);
    font-family: Inter;
    font-size: 12px;
    font-weight: 600;
    opacity: 0;
    overflow: visible;
    transition: 0.4s;
    cursor: pointer;
}

.mappings-view  .line.stable .action.save {
    display: none!important;
}

.mappings-view  .line.new .action.close {
    display: none!important;
}

.mappings-view  .line .action.save {
    background-color: var(--focus);
}

.mappings-view  .line .action.delete {
    background-color: var(--alert);
}

.mappings-view  .line .action.close {
    background-color: var(--theme);
}

.mappings-view  .line.active .action {
    display: flex;
    opacity: 1;
}

.mappings-view  .line.active .action:hover {
    padding: 0 12px;
}

.mappings-view  .line.active .action.save:hover {
    width: 72px;
}

.mappings-view  .line.active .action.close:hover {
    width: 76px;
}

.mappings-view  .line.active .action.delete:hover {
    width: 78px;
}

.mappings-view  .line .action > img {
    height: 50%;
    width: auto;
    margin: 0 8px 0 6px;
    transition: 0.6s;
    cursor: pointer;
}

.mappings-view  .line .action:hover > img {
    margin: 0 8px 0 0;
}

.mappings-view  .line .action > span {
    width: 0px;
    overflow: hidden;
    transition: 0.7s;
}

.mappings-view  .line .action:hover > span {
    width: fit-content;
}

.mappings-view  .line label.internal-tag {
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 0;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    transition: 0.6s;
    cursor: pointer;
}

.mappings-view  .line.active label.internal-tag {
    display: block;
    margin-top: 20px;
    cursor: default;
}

.mappings-view  .line input.internal-tag {
    display: block;
    max-width: 100%;
    box-sizing: border-box;
    padding: 4px 0;
    border: 1px solid transparent;
    background-color: transparent;
    color: var(--text-color);
    font-family: Inter;
    font-size: 12px;
    font-weight: 700;
    transition: 0.6s;
    cursor: pointer;
}

.mappings-view  .line input.internal-tag.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.mappings-view  .line.active input.internal-tag {
    width: fit-content;
    font-size: 16px;
    cursor: text;
}

.mappings-view  .line.active input.internal-tag:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.mappings-view  .line.active input.internal-tag:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.mappings-view  .line.active input.internal-tag.invalid {
    border-color: var(--alert);
}

.mappings-view  .line label.partner {
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 16px;
    background-color: transparent;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    transition: 0.6s;
    cursor: pointer;
}

.mappings-view  .line.active label.partner {
    display: block;
    margin-top: 20px;
    cursor: default;
}

.mappings-view  .line input.partner {
    display: block;
    max-width: 100%;
    box-sizing: border-box;
    padding: 4px 0;
    border: 1px solid transparent;
    background-color: transparent;
    color: var(--text-color);
    font-family: Inter;
    font-size: 12px;
    font-weight: 700;
    transition: 0.6s;
    cursor: pointer;
}

.mappings-view  .line input.partner.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.mappings-view  .line.active input.partner {
    width: 100%;
    color: var(--text-color);
    font-size: 16px;
    cursor: text;
}

.mappings-view  .line.active input.partner:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.mappings-view  .line.active input.partner:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.mappings-view  .line.active input.partner.invalid {
    border-color: var(--alert);
}

.mappings-view  .line label.partner-tag {
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 16px;
    background-color: transparent;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    transition: 0.6s;
    cursor: pointer;
}

.mappings-view  .line.active label.partner-tag {
    display: block;
    margin-top: 20px;
    cursor: default;
}

.mappings-view  .line input.partner-tag {
    display: block;
    max-width: 100%;
    box-sizing: border-box;
    padding: 4px 0;
    border: 1px solid transparent;
    background-color: transparent;
    color: var(--text-color);
    font-family: Inter;
    font-size: 12px;
    font-weight: 700;
    transition: 0.6s;
    cursor: pointer;
}

.mappings-view  .line input.partner-tag.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.mappings-view  .line.active input.partner-tag {
    width: 100%;
    color: var(--text-color);
    font-size: 16px;
    cursor: text;
}

.mappings-view  .line.active input.partner-tag:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.mappings-view  .line.active input.partner-tag:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.mappings-view  .line.active input.partner-tag.invalid {
    border-color: var(--alert);
}

.mappings-view  .line label.campaign {
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 0;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    transition: 0.6s;
    cursor: pointer;
}

.mappings-view  .line.active label.campaign {
    display: block;
    margin-top: 20px;
    cursor: default;
}

.mappings-view  .line label.campaign.placeholder {
    display: block;
    width: fit-content;
    box-sizing: border-box;
    padding: 4px 6px;
    border: 1px solid transparent;
    border-radius: 4px;
    margin-bottom: 6px;
    background-color: var(--focus-hard);
    color: var(--text-color);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    opacity: 1;
    transition: 0.6s;
    cursor: pointer;
}

.mappings-view  .line.active label.campaign.placeholder {
    display: none;
    opacity: 0;
    cursor: default;
}

.mappings-view  .line label.campaign.placeholder.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.mappings-view  .line input.campaign {
    display: none;
    max-width: 100%;
    box-sizing: border-box;
    padding: 4px 0;
    border: 1px solid transparent;
    background-color: transparent;
    color: var(--text-color);
    font-family: Inter;
    font-size: 12px;
    font-weight: 700;
    transition: 0.6s;
    cursor: pointer;
}

.mappings-view  .line.active input.campaign {
    display: block;
    width: fit-content;
    font-size: 16px;
    cursor: text;
}

.mappings-view  .line.active input.campaign:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.mappings-view  .line.active input.campaign:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.mappings-view  .line.active input.campaign.invalid {
    border-color: var(--alert);
}

.mappings-view  .line input.campaign.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.mappings-view  .line label.required {
    display: none;
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 0;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    transition: 0.6s;
    cursor: pointer;
}

.mappings-view  .line.active label.required {
    display: block;
    margin-top: 20px;
    cursor: default;
}

.mappings-view  .line .required.checkbox-wrapper-12 {
    margin-top: 0px;
    margin-right: 0px;
}

.mappings-view  .line.active .required.checkbox-wrapper-12 {
    margin-top: 8px;
    margin-right: 9px;
}

.mappings-view  .line label.pre-process {
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 16px;
    background-color: transparent;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    transition: 0.6s;
    cursor: pointer;
}

.mappings-view  .line.active label.pre-process {
    display: block;
    margin-top: 20px;
    cursor: default;
}

.mappings-view  .line input.pre-process {
    display: none;
    max-width: 100%;
    box-sizing: border-box;
    padding: 4px 0;
    border: 1px solid transparent;
    margin-bottom: 20px;
    background-color: transparent;
    color: var(--text-color);
    font-family: Inter;
    font-size: 12px;
    font-weight: 700;
    transition: 0.6s;
    cursor: pointer;
}

.mappings-view  .line input.pre-process.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.mappings-view  .line.active input.pre-process {
    display: block;
    width: 100%;
    color: var(--text-color);
    font-size: 16px;
    cursor: text;
}

.mappings-view  .line.active input.pre-process:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.mappings-view  .line.active input.pre-process:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.mappings-view  .line.active input.pre-process.invalid {
    border-color: var(--alert);
}

.mappings-view  .line label.format-type {
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 16px;
    background-color: transparent;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    transition: 0.6s;
    cursor: pointer;
}

.mappings-view  .line.active label.format-type {
    display: block;
    margin-top: 20px;
    cursor: default;
}

.mappings-view  .line input.format-type {
    display: block;
    max-width: 100%;
    box-sizing: border-box;
    padding: 4px 0;
    border: 1px solid transparent;
    background-color: transparent;
    color: var(--text-color);
    font-family: Inter;
    font-size: 12px;
    font-weight: 700;
    transition: 0.6s;
    cursor: pointer;
}

.mappings-view  .line input.format-type.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.mappings-view  .line.active input.format-type {
    width: 100%;
    color: var(--text-color);
    font-size: 16px;
    cursor: text;
}

.mappings-view  .line.active input.format-type:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.mappings-view  .line.active input.format-type:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.mappings-view  .line.active input.format-type.invalid {
    border-color: var(--alert);
}

.mappings-view  .line label.format-enum {
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 16px;
    background-color: transparent;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    transition: 0.6s;
    cursor: pointer;
}

.mappings-view  .line.active label.format-enum {
    display: block;
    margin-top: 20px;
    cursor: default;
}

.mappings-view  .line input.format-enum {
    display: none;
    max-width: 100%;
    box-sizing: border-box;
    padding: 4px 0;
    border: 1px solid transparent;
    margin-bottom: 20px;
    background-color: transparent;
    color: var(--text-color);
    font-family: Inter;
    font-size: 12px;
    font-weight: 700;
    transition: 0.6s;
    cursor: pointer;
}

.mappings-view  .line input.format-enum.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.mappings-view  .line.active input.format-enum {
    display: block;
    width: 100%;
    color: var(--text-color);
    font-size: 16px;
    cursor: text;
}

.mappings-view  .line.active input.format-enum:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.mappings-view  .line.active input.format-enum:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.mappings-view  .line.active input.format-enum.invalid {
    border-color: var(--alert);
}

.mappings-view .line div.enums {
    display: none;
    width: 60%;
    box-sizing: border-box;
    padding: 20px 0 0 20px;
    margin-bottom: 20px;
}

.mappings-view .line.active div.enums {
    display: flex;
}

.mappings-view  .line div.enum {
    display: none;
    gap: 0em;
    width: fit-content;
    box-sizing: border-box;
    padding: 4px 6px;
    border: 1px solid transparent;
    border-radius: 4px;
    margin-right: 6px;
    margin-bottom: 6px;
    background-color: var(--focus-hard);
    color: var(--text-color);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    opacity: 1;
    transition: 0.6s;
    cursor: pointer;
}

.mappings-view  .line.active div.enum {
    display: flex;
}

.mappings-view  .line div.enum:hover {
    gap: 0.8em;
}

.mappings-view  .line div.enum > label {
    cursor: pointer;
}

.mappings-view  .line.active div.enum > label {
    display: block;
}

.mappings-view  .line div.enum > img {
    height: auto;
    width: 0px;
    transition: 0.6s;
}

.mappings-view  .line div.enum:hover > img {
    width: 12px;
}

.mappings-view  .line .enum .placeholder.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}